Skip to main content
`Ctrl`+`K`

# KSPConvergedDefaultSetUMIRNorm

makes the default convergence test use min(|| B*(b - A*(initial guess))||,|| B*b ||) In the case of right preconditioner or if `KSPSetNormType`(ksp,`KSP_NORM_UNPRECONDITIONED`) is used there is no B in the above formula.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPConvergedDefaultSetUMIRNorm(KSP ksp)

Collective

## Input Parameters

- ksp - iterative context

## Options Database Key

- -ksp_converged_use_min_initial_residual_norm <bool> - Use minimum of initial residual norm and b for computing relative convergence

## Notes

UMIRNorm is short for Use Minimum Initial Residual Norm.

Use `KSPSetTolerances()` to alter the defaults for rtol, abstol, dtol.

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetConvergenceTest()`, `KSPSetTolerances()`, `KSPConvergedSkip()`, `KSPConvergedReason`, `KSPGetConvergedReason()`, `KSPConvergedDefaultSetUIRNorm()`, `KSPConvergedDefaultSetConvergedMaxits()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages